<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::MetaUsRangeFinder Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_meta_us_range_finder.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1meta_1_1_meta_us_range_finder-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::MetaUsRangeFinder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe haut niveau pour capteur à ultra son.  
 <a href="classframework_1_1meta_1_1_meta_us_range_finder.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_us_range_finder_8h_source.html">MetaUsRangeFinder.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::MetaUsRangeFinder:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_meta_us_range_finder.png" usemap="#framework::meta::MetaUsRangeFinder_map" alt=""/>
  <map id="framework::meta::MetaUsRangeFinder_map" name="framework::meta::MetaUsRangeFinder_map">
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,224,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8a51a8559696d6e3bdc8023bea236c20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a51a8559696d6e3bdc8023bea236c20"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaUsRangeFinder</b> (<a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us)</td></tr>
<tr class="separator:a8a51a8559696d6e3bdc8023bea236c20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9df0f95cb3124a57db919247584ab5be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9df0f95cb3124a57db919247584ab5be"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a9df0f95cb3124a57db919247584ab5be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f9bdd01d1034d5bbd786c9ce44e9b23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f9bdd01d1034d5bbd786c9ce44e9b23"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>z</b> (void) const </td></tr>
<tr class="separator:a2f9bdd01d1034d5bbd786c9ce44e9b23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a338d60b00b758523339636138c34fd39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a338d60b00b758523339636138c34fd39"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Vz</b> (void) const </td></tr>
<tr class="separator:a338d60b00b758523339636138c34fd39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37f92006970ba731c6d2c26cae880456"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37f92006970ba731c6d2c26cae880456"></a>
<a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetZPlot</b> ()</td></tr>
<tr class="separator:a37f92006970ba731c6d2c26cae880456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c6fa2bf73f20c1a6cfd7c0bc5956bae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c6fa2bf73f20c1a6cfd7c0bc5956bae"></a>
<a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVzPlot</b> ()</td></tr>
<tr class="separator:a7c6fa2bf73f20c1a6cfd7c0bc5956bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe haut niveau pour capteur à ultra son. </p>
<p>Contient une dérivée d'euler et un passe bas. Cette classe est adaptée pour un capteur d'altitude. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
